--- nagios-cvs_20060117/include/cgiutils.h.in	2005-11-26 04:52:07.000000000 +0100
+++ nagios-cvs/include/cgiutils.h.in	2006-01-18 16:32:55.000000000 +0100
@@ -30,10 +30,14 @@
 extern "C" { 
 #endif
 
-#undef USE_STATUSMAP		/* should we compile and use the statusmap CGI? */
-#undef USE_STATUSWRL 		/* should we compile and use the statuswrl CGI? */
-#undef USE_TRENDS		/* should we compile and use the trends CGI? */
-#undef USE_HISTOGRAM            /* should we compile and use the histogram CGI? */
+/* should we compile and use the statusmap CGI? */
+#undef USE_STATUSMAP
+/* should we compile and use the statuswrl CGI? */
+#undef USE_STATUSWRL
+/* should we compile and use the trends CGI? */
+#undef USE_TRENDS
+/* should we compile and use the histogram CGI? */
+#undef USE_HISTOGRAM
 
 
 /**************************** CGI REFRESH RATE ******************************/
@@ -44,8 +48,6 @@ extern "C" { 
 /******************************* CGI NAMES **********************************/
 
 #define STATUS_CGI		"status.cgi"
-#define STATUSMAP_CGI		"statusmap.cgi"
-#define STATUSWORLD_CGI	        "statuswrl.cgi"
 #define COMMAND_CGI		"cmd.cgi"
 #define EXTINFO_CGI		"extinfo.cgi"
 #define SHOWLOG_CGI		"showlog.cgi"
@@ -53,16 +55,25 @@ extern "C" { 
 #define HISTORY_CGI		"history.cgi"
 #define CONFIG_CGI              "config.cgi"
 #define OUTAGES_CGI		"outages.cgi"
-#define TRENDS_CGI		"trends.cgi"
 #define AVAIL_CGI		"avail.cgi"
 #define TAC_CGI			"tac.cgi"
 #define STATUSWML_CGI           "statuswml.cgi"
 #define TRACEROUTE_CGI		"traceroute.cgi"
-#define HISTOGRAM_CGI		"histogram.cgi"
 #define CHECKSANITY_CGI	   	"checksanity.cgi"
 #define MINISTATUS_CGI          "ministatus.cgi"
 #define SUMMARY_CGI	        "summary.cgi"
-
+#ifdef USE_STATUSMAP
+	#define STATUSMAP_CGI		"statusmap.cgi"
+#endif
+#ifdef USE_TRENDS
+	#define TRENDS_CGI		"trends.cgi"
+#endif
+#ifdef USE_STATUSWRL
+	#define STATUSWORLD_CGI	        "statuswrl.cgi"
+#endif
+#ifdef USE_HISTOGRAM
+	#define HISTOGRAM_CGI		"histogram.cgi"
+#endif
 
 /**************************** STYLE SHEET NAMES ******************************/
 
